# ChangeLog for x11-misc/xlockmore
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/x11-misc/xlockmore/ChangeLog,v 1.54 2007/02/22 21:03:45 drac Exp $

*xlockmore-5.23 (22 Feb 2007)

  22 Feb 2007; Samuli Suominen <drac@gentoo.org> +xlockmore-5.23.ebuild:
  Version bump. Change from GTK+-1.2 to GTK+-2.0. Fix bug #133881

  22 Feb 2007; Samuli Suominen <drac@gentoo.org> xlockmore-5.21-r1.ebuild:
  Kill virtual/x11.

  05 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  xlockmore-5.21-r1.ebuild:
  Remove gnuconfig inherit.

  24 Oct 2006; Krzysiek Pawlik <nelchael@gentoo.org> -xlockmore-5.19.ebuild:
  Remove old version.

  24 Oct 2006; Simon Stelling <blubb@gentoo.org> xlockmore-5.21-r1.ebuild:
  stable on amd64

  22 Oct 2006; Markus Rothe <corsair@gentoo.org> xlockmore-5.21-r1.ebuild:
  Stable on ppc64; bug #152070

  21 Oct 2006; Emanuele Giaquinta <exg@gentoo.org> xlockmore-5.21-r1.ebuild:
  Use unicode flag to enable multi-byte character support, not nls.

  21 Oct 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xlockmore-5.21-r1.ebuild:
  Stable on x86, see bug #152070. Thanks to Christian Faulhammer and Markus
  Meier for testing.

  20 Oct 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  xlockmore-5.21-r1.ebuild:
  Stable on sparc wrt #152070

  20 Oct 2006; <nixnut@gentoo.org> xlockmore-5.21-r1.ebuild:
  Stable on ppc wrt bug 152070

  17 Oct 2006; Jeroen Roovers <jer@gentoo.org> xlockmore-5.21-r1.ebuild:
  Stable for HPPA (bug #109376).

  14 Oct 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  -xlockmore-5.17-r1.ebuild:
  Remove old version.

  14 Aug 2006; Jeroen Roovers <jer@gentoo.org> xlockmore-5.21-r1.ebuild:
  Marked ~hppa.

  11 Feb 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  +xlockmore-5.17-r1.ebuild:
  Readded 5.17-r1, shouldn't be removed yet.

  11 Feb 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  -xlockmore-5.17-r1.ebuild:
  Remove old version. Port 5.19 to modular X.

*xlockmore-5.21-r1 (21 Jan 2006)

  21 Jan 2006; Krzysiek Pawlik <nelchael@gentoo.org> -xlockmore-5.21.ebuild,
  +xlockmore-5.21-r1.ebuild:
  Fix bug #115731.

*xlockmore-5.21 (21 Jan 2006)

  21 Jan 2006; Krzysiek Pawlik <nelchael@gentoo.org> -files/XLock.ad.patch,
  -xlockmore-5.12.ebuild, +xlockmore-5.21.ebuild:
  Version bump with modular X DEPEND.

  21 Jan 2006; Michael Hanselmann <hansmi@gentoo.org> xlockmore-5.19.ebuild:
  Stable on ppc.

  25 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> xlockmore-5.19.ebuild:
  Use bindnow-flags function instead of -Wl,-z,now.

  13 Aug 2005; Michael Hanselmann <hansmi@gentoo.org>
  xlockmore-5.17-r1.ebuild:
  Stable on ppc.

*xlockmore-5.19 (11 Aug 2005)

  11 Aug 2005; Jonathan Smith <smithj@gentoo.org> -xlockmore-5.18-r2.ebuild,
  +xlockmore-5.19.ebuild:
  version bump (but still masked)

  07 Aug 2005; Simon Stelling <blubb@gentoo.org> xlockmore-5.17-r1.ebuild:
  stable on amd64

  21 Jul 2005; Markus Rothe <corsair@gentoo.org> xlockmore-5.17-r1.ebuild:
  Stable on ppc64

  20 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  xlockmore-5.17-r1.ebuild:
  Stable on sparc

  18 Jul 2005; Jonathan Smith <smithj@gentoo.org> xlockmore-5.12.ebuild,
  xlockmore-5.17-r1.ebuild:
  x86 stable

*xlockmore-5.18-r2 (25 Jun 2005)

  25 Jun 2005; Jonathan Smith <smithj@gentoo.org>
  -xlockmore-5.18-r1.ebuild, +xlockmore-5.18-r2.ebuild:
  experimental fix for 5.18 line, which is still masked

  22 Jun 2005; Jonathan Smith <smithj@gentoo.org> xlockmore-5.17-r1.ebuild,
  xlockmore-5.18-r1.ebuild:
  fixed ftgl problem for #90202

*xlockmore-5.18-r1 (22 Jun 2005)

  22 Jun 2005; Jonathan Smith <smithj@gentoo.org> -xlockmore-5.18.ebuild,
  +xlockmore-5.18-r1.ebuild:
  applied the last two patches to the still-masked 5.18 series

  22 Jun 2005; Jonathan Smith <smithj@gentoo.org> xlockmore-5.17-r1.ebuild:
  #79775: fixed lazy-bindings since xlock is suid root

*xlockmore-5.17-r1 (22 Jun 2005)

  22 Jun 2005; Jonathan Smith <smithj@gentoo.org> -xlockmore-5.17.ebuild,
  +xlockmore-5.17-r1.ebuild:
  #79770: fixed unconditional enabling of --enable-xlockrc if pam is unset

*xlockmore-5.17 (17 Jun 2005)

  17 Jun 2005; Jonathan Smith <smithj@gentoo.org> -xlockmore-5.11.1.ebuild,
  +xlockmore-5.17.ebuild:
  version bump to 5.17

  14 Jun 2005; Jonathan Smith <smithj@gentoo.org> xlockmore-5.18.ebuild:
  fixed stupid sandboxing problem with 5.18

*xlockmore-5.18 (13 Jun 2005)

  13 Jun 2005; Jonathan Smith <smithj@gentoo.org> -xlockmore-5.04.ebuild,
  -xlockmore-5.08.2.ebuild, +xlockmore-5.18.ebuild:
  #93159, version bump, cleanup

  29 Apr 2005; Markus Rothe <corsair@gentoo.org> xlockmore-5.12.ebuild:
  Stable on ppc64

  06 Dec 2004; Markus Nigbur <pyrania@gentoo.org> xlockmore-5.12.ebuild:
  damn eutils.

  05 Dec 2004; Markus Nigbur <pyrania@gentoo.org> +files/XLock.ad.patch,
  xlockmore-5.12.ebuild:
  Fixed bug #48457.

  19 Oct 2004; Dylan Carlson <absinthe@gentoo.org> xlockmore-5.12.ebuild:
  Stable on amd64.

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  xlockmore-5.11.1.ebuild, xlockmore-5.12.ebuild:
  Masked xlockmore-5.12.ebuild testing for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  xlockmore-5.11.1.ebuild:
  Masked xlockmore-5.11.1.ebuild stable for ppc

  15 Jun 2004; Jason Wever <weeve@gentoo.org> xlockmore-5.12.ebuild:
  Stable on sparc.

  14 Jun 2004; <pyrania@gentoo.org> xlockmore-5.12.ebuild:
  Stable on x86.

  01 May 2004; Jason Wever <weeve@gentoo.org> xlockmore-5.12.ebuild:
  Added ~sparc keyword.

*xlockmore-5.12 (01 May 2004)

  01 May 2004; Andrew Bevitt <cyfred@gentoo.org>; +xlockmore-5.12.ebuild:
  Version bump, can only test on x86 at this time, so removing other keywords.

  13 Apr 2004; Jason Wever <weeve@gentoo.org> xlockmore-5.11.1.ebuild:
  Stable on sparc.

  11 Apr 2004; Markus Nigbur <pyrania@gentoo.org> xlockmore-5.08.2.ebuild,
  xlockmore-5.11.1.ebuild:
  Marked stable on x86.

*xlockmore-5.11.1 (06 Mar 2004)

  06 Mar 2004; David Holm <dholm@gentoo.org> xlockmore-5.11.1.ebuild:
  Added to ~ppc.

  11 Jan 2004; Heinrich Wendel <lanius@gentoo.org> xlockmore-5.04.ebuild,
  xlockmore-5.08.2.ebuild:
  fixed motif dep

  05 Jan 2004; Jason Wever <weeve@gentoo.org> xlockmore-5.04.ebuild,
  xlockmore-5.08.2.ebuild:
  Marked 5.08.2 stable on sparc and adjusted the copyright dates in all.

  11 Dec 2003; Jon Portnoy <avenj@gentoo.org> xlockmore-5.08.2.ebuild :
  AMD64 keyworded.

  28 Nov 2003; Ian Leitch <port001@gentoo.org> xlockmore-5.04.ebuild,
  xlockmore-5.08.2.ebuild:
  Updated DEPEND to specificaly use gtk+-1.2*, thanks to Spider for pointing
  this out

*xlockmore-5.08.2 (18 Nov 2003)

  18 Nov 2003; Ian Leitch <port001@gentoo.org> xlockmore-5.08.2.ebuild:
  Moved from app-misc to x11-misc, metadata.xml created

*xlockmore-5.08.2 (17 May 2003)

  17 May 2003; Hanno Boeck <hanno@gentoo.org> xlockmore-5.08.2.ebuild :
  New version. Enabled vt-locking.

*xlockmore-5.04 (10 Jun 2002)

  29 Mar 2003; Alastair Tse <liquidx@gentoo.org> xlockmore-5.04.ebuild:
  replacing openmotif with virtual/motif

  24 Mar 2003; Martin Holzer <mholzer@gentoo.org> xlockmore-5.04.ebuild:
  fixed broken url since it's no more available on official site.

  17 Mar 2003; Jason Wever <weeve@gentoo.org> xlockmore-5.04.ebuild:
  Changed ~sparc keyword to sparc.

  02 Mar 2003; Jason Wever <weeve@gentoo.org> xlockmore-5.04.ebuild:
  Added ~sparc to keywords.

  10 Jun 2002; Brandon Low <lostlogic@gentoo.org> xlockmore-5.04.ebuild :

  New version available fixes a problem some users were having with xlock
  looking for an image in a redhat subdir and crashing back to X (making
  it a BIT less effective as a locker).

  xglock appears to be integrated into xlock now, and xmlock does appear 
  to build successfully.

*xlockmore-5.03-r5 (24 Apr 2002)

  3 Jun 2002; Brandon Low <lostlogic@gentoo.org> xlockmore-5.03-r5.ebuild :

  Doesn't warrant a new revision just a fix for people with USE=-opengl
  ensures that it doesn't try to use any existing opengl libraries.  

  24 Apr 2002; Tod Neidt <tod@gentoo.org> xlockmore-5.03-r5.ebuild :

  Fix for Bug# 1810.  Install tarball supplied etc/xlock.pamd
  as /etc/pam.d/xlock if 'pam' is in USE.  Also unset setuid root if
  'pam' is in USE as one of the benefits of using pam is not running 
  apps such as this setuid root.  Also rolled back emake to make as the
  xlock build resets to -j1 anyway and this eleminates the error msgs.

*xlockmore-5.03-r4 (14 Apr 2002)

  14 Apr 2002; Seemant Kulleen <seemant@gentoo.org> xlockmore-5.03-r4.ebuild :

  If PAM is not in USE, cause it to use shadow instead for password locking.

*xlockmore-5.03-r3 (27 Mar 2002)

  27 Mar 2002; Seemant Kulleen <seemant@gentoo.org> xlockmore-5.03-r3.ebuild :

  man page/LFH fix submitted by Matthew Kennedy.

*xlockmore-5.03-r2 (6 March 2002)

  6 March 2002; Grant Goodyear <g2boojum@shivan.org> xlockmore-5.03-r2.ebuild :

  Fix esound dependency to be media-sound/esound.  Thanks to Jason Brown!

*xlockmore-5.03-r1 (2 March 2002)

  2 March 2002; Bruce A. Locke <blocke@shivan.org> xlockmore-5.03-r1.ebuild :

  Temporarily fix Makefile braindamage reported by user...  gtk and
  motif support fully disabled now.  Will stay disabled until someone
  submits a patch.

*xlockmore-5.03 (1 March 2002)

  1 March 2002; Bruce A. Locke <blocke@shivan.org> xlockmore-5.03.ebuild :

  An update to 5.03 and a major reworking on the ebuild to support
  more USE keywords...

  Known Issues: gtk and motif dialog boxes disabled due to configure
  script braindamage and I can't figure out how to tell xlock where its
  sounds are stored...  Low priority issues in a package I've spent too
  much time on already :(  If you figure it out, please file a bug report.

